  <?php

include("../hotel1/DMMYSQLG.php");
include("../hotel1/DF80000.php");

                    function currencyConverter($date=0){
                        $coun=0;   
                        if($date==0 || $date==''){
                            $fecha=date('Y-m-d');//$dt_empres['fec_alta'];
                            $fechaq= chfecha($fecha,'Y-m-d','d/m/Y');
                        }  else {
                                $fechaq=$date;
                            }
                        $url="http://dof.gob.mx/indicadores_detalle.php?cod_tipo_indicador=158&hfecha=$fechaq&dfecha=$fechaq&accionI=imprimir";
    
                        $ch = curl_init();
                        $timeout = 5;  
                        curl_setopt($ch, CURLOPT_URL, $url);
                        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
                        $str = curl_exec($ch);
                        curl_close($ch); 
                        $pos=  strpos($str,'<table width="70%"');
                        //echo $pos;    
                        $sub=  substr($str, $pos);
 
                        $pos2=strpos($sub,'</table>');  
                        $curr=substr($sub,0,$pos2+8);
     

                        return $curr;
                    }

                    if(isset($_POST['datecurr'])&&!empty($_POST['datecurr'])){
                        $ACTUAL=currencyConverter($_POST['datecurr']);
                    }
                    else 
                        $ACTUAL=currencyConverter(); 
echo $ACTUAL;
                    ?>
